## org.gnu.gtk
Class IMMulticontext

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.IMContext
              org.gnu.gtk.IMMulticontext

public class IMMulticontext
extends IMContext

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`IMMulticontext()` Construct a new IMMulticontext object.

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_im_multicontext_append_menuitems(Handle context, Handle menushell)`
`protected static int` `gtk_im_multicontext_get_type()`
`protected static Handle` `gtk_im_multicontext_new()`

Methods inherited from class org.gnu.gtk.IMContext

`focusIn, focusOut, gtk_im_context_delete_surrounding, gtk_im_context_filter_keypress, gtk_im_context_focus_in, gtk_im_context_focus_out, gtk_im_context_get_preedit_string, gtk_im_context_get_surrounding, gtk_im_context_get_type, gtk_im_context_reset, gtk_im_context_set_client_window, gtk_im_context_set_cursor_location, gtk_im_context_set_surrounding, gtk_im_context_set_use_preedit, reset, setClientWindow, setCursorLocation, setUsePreedit`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMMulticontext

    public IMMulticontext()

  Construct a new IMMulticontext object.

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_im_multicontext_get_type

    protected static final int gtk_im_multicontext_get_type()

### gtk_im_multicontext_new

    protected static final Handle gtk_im_multicontext_new()

### gtk_im_multicontext_append_menuitems

    protected static final void gtk_im_multicontext_append_menuitems(Handle context,
                                                                     Handle menushell)